Loading dependency graph, done. error: bundling failed: Error: Unable to resolve module ./../../react-transform-hmr/lib/index.js


(Gowthaman S) #1

I am Getting this error on running the command
react-native run-android

Error:
Loading dependency graph, done. error: bundling failed: Error: Unable to resolve module ./../../react-transform-hmr/lib/index.js from D:\LW_Mobile\Projects\helloworld\App.js : The module ./../../react-transform-hmr/lib/index.js could not be found from D:\LW_Mobile\Projects\helloworld\App.js . Indeed, none of these files exist: * D:\LW_Mobile\react-transform-hmr\lib\index.js(.native||.android.js|.native.js|.js|.android.json|.native.json|.json|.android.ts|.native.ts|.ts|.android.tsx|.native.tsx|.tsx)

My Package.Json is

{
  "name": "helloworld",
  "version": "0.0.1",
  "private": true,
  "scripts": {
    "start": "node node_modules/react-native/local-cli/cli.js start",
    "test": "jest"
  },
  "dependencies": {
    "@babel/runtime": "^7.1.2",
    "babel-preset-react-native": "^4.0.1",
    "react": "16.5.0",
    "react-native": "0.57.2"
  },
  "devDependencies": {
    "babel-jest": "23.6.0",
    "babel-plugin-functional-hmr": "^1.0.24",
    "babel-plugin-react-transform": "^3.0.0",
    "jest": "23.6.0",
    "metro-react-native-babel-preset": "0.48.0",
    "react-test-renderer": "16.5.0",
    "react-transform-hmr": "^1.0.4"
  },
  "jest": {
    "preset": "react-native"
  }
}

The babelrc is as following

{
    "presets": ["es2015", "react", "module:metro-react-native-babel-preset"]
  }

Note: working with expo is launching fine, This is the first time i am using the react-native run-android command

The System is looking into some different path and not within Node_Module. Is something related to this.?


(system) #2

This topic was automatically closed 3 days after the last reply. New replies are no longer allowed.